Bug Hunting Session
Bug 73718 - Please add "Gnumeric" to the list of supported file types in File -> Open -> File Type
Summary: Please add "Gnumeric" to the list of supported file types in File -> Open -> ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Format-Filters
  Show dependency treegraph
 
Reported: 2014-01-16 22:18 UTC by Gerry
Modified: 2018-05-21 18:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerry 2014-01-16 22:18:25 UTC
Import of Gnumeric spreadsheet files is supported in LibreOffice (in experimental mode). However, Gnumeric is not listed in the list of supported file types in "File" -> "Open" -> "File Types". 

Please add "Gnumeric" *.gnumeric to the list of file types if "Experimental Mode" is switched on.

Version: 4.1.4.2, Build-ID: 410m0(Build:2)
Same in LO 4.2RC2
Comment 1 tommy27 2014-01-18 08:26:16 UTC
enhancement request. set status to NEW
Comment 2 Gerry 2016-05-07 20:58:46 UTC
Fixed now in LibreOffice 5.1. Gnumeric is in the list of file types that can be opened. If I remember correctly, Markus Mohrhard provided the improvement of the import filter and the patch.
Comment 3 Daniël van Vuuren 2016-06-03 14:01:50 UTC
Verified fix in:

Version: 5.3.0.0.alpha0+
Build ID: 6b3b352b06d92ef20194b9a992a521af2ef07b48
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-06-03_01:35:48

Version: 5.2.0.0.beta1+
Build ID: b6230835b927e0053687fae6026fa3603600f321
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:libreoffice-5-2, Time: 2016-06-03_02:09:38

Version: 5.1.5.0.0+
Build ID: 1245bead3a68c9495a870f194f3c523b3b78cf87
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:libreoffice-5-1, Time: 2016-06-02_04:43:39